%global momorel		2
#%%global cvsdate		20040531
#%%global rel		001
%global	emacsver	21.3
%global xemacsver	21.4.15
%global	e_sitedir	/usr/share/emacs/site-lisp
%global	xe_sitedir	/usr/lib/xemacs/site-lisp
%global	sitepdir	/usr/lib/xemacs/site-packages

Summary:     2ch client on Emacsen
Name: 	     elisp-navi2ch
#Version:     1.7.3.1
Version:     1.7.3
#Release:     0.00%{cvsdate}%{rel}m
Release:     %{momorel}m
License:     GPL
Group:       Applications/Editors
Source:      http://download.sourceforge.net/navi2ch/navi2ch-%{version}.tar.gz
#Source:      http://navi2ch.sourceforge.net/snapshot/navi2ch-cvs_0.0.%{cvsdate}-1.tar.gz
NoSource:    0
URL:         http://navi2ch.sourceforge.net/
Requires:    emacsen
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}, xemacs-sumo
BuildArch:   noarch
BuildRoot:   %{_tmppath}/%{name}-%{version}-root

%description
2ch client on Emacsen.

%package -n navi2ch-emacs
Summary: 2ch client on Emacs
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
PreReq: info

%description -n navi2ch-emacs
2ch client on Emacs.

%package -n navi2ch-xemacs
Summary: 2ch client on XEmacs
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}

%description -n navi2ch-xemacs
2ch client on XEmacs.

%prep
#%%setup -q -n navi2ch-cvs-%{cvsdate}
%setup -q -n navi2ch-%{version}

%build
## build for emacs
./configure --with-emacs=emacs --with-lispdir=%{e_sitedir}/navi2ch --with-icondir=%{_datadir}/emacs/%{emacsver}/etc/navi2ch
make

%makeinstall lispdir=%{buildroot}%{e_sitedir}/navi2ch icondir=%{buildroot}%{_datadir}/emacs/%{emacsver}/etc/navi2ch

make distclean

## build for xemacs
./configure --with-emacs=xemacs --with-packagedir=%{sitepdir} --infodir=%{sitepdir}/info
make

%install
%makeinstall packagedir=%{buildroot}%{sitepdir} infodir=%{buildroot}%{sitepdir}/info

# remove
rm -f %{buildroot}/usr/share/info/dir
rm -f %{buildroot}/usr/lib/xemacs/site-packages/info/dir

%post -n navi2ch-emacs
/sbin/install-info %{_infodir}/navi2ch.info %{_infodir}/dir \
        --section="Emacs"

%preun -n navi2ch-emacs
if [ "$1" = 0 ]; then
   /sbin/install-info --delete %{_infodir}/navi2ch.info %{_infodir}/dir
fi


%clean
[ "%{buildroot}" != "/" ] & rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%doc doc
# %%{_datadir}/info/navi2ch.info.bz2

%files -n navi2ch-emacs
%defattr(-, root, root)
%{_datadir}/emacs/site-lisp/navi2ch
%{_datadir}/emacs/%{emacsver}/etc/navi2ch
%{_datadir}/info/navi2ch.info*

%files -n navi2ch-xemacs
%defattr(-, root, root)
%{_libdir}/xemacs/site-packages/lisp/navi2ch
%{_libdir}/xemacs/site-packages/etc/navi2ch
%{_libdir}/xemacs/site-packages/info/*.info*

%changelog
* Thu Jun 17 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.3-2m)
- roll back to 1.7.3

* Sat Jun 06 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.3.1-0.0020040531001m)
- update cvs version 20040531

* Sun May 16 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.7.3-1m)
- verup

* Mon Mar 22 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.2.1-0.0020040321001m)
- update cvs version 20040321

* Thu Mar 18 2004 Toru Hoshina <t@momonga-linux.org>
- (1.7.1.1-0.0020031209002m)
- revised spec for enabling rpm 4.2.

* Sun Dec 21 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.1.1-0.0020031209001m)
- update cvs version 20031209

* Tue Dec 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.1.1-0.0020031206001m)
- update cvs version 20031206
- use http://navi2ch.sourceforge.net/tmp/cvs/navi2ch-article.el.1.231

* Thu Nov 13 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.1.1-0.0020031110001m)
- update cvs version 20031110
- use %%global

* Sat Oct 25 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.1.1-0.0020031020001m)
- update cvs version 20031020

* Sat Oct 11 2003 Hideo TASHIRO <tashiron@momonga-linux.org>
- (1.7.1-2m)
- add info file for emacs
- add PreReq: info for navi2ch-emacs
- execute install-info in %%post and %%preun section of navi2ch-emacs

* Wed Oct 01 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.1-1m)
- update to 1.7.1
- change Source0 URI

* Tue Jul 08 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.0.1-0.00220030702001m)
- update cvs version 20030702

* Thu May 15 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.0.1-0.00220030513001m)
- update cvs version 20030513

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.0.1-0.00220030318001m)
- rebuild against emacs-21.3
- update cvs version 20030318

* Tue Mar 11 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.0.1-0.00220030310001m)
- update cvs version 20030310

* Wed Jan 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.0.1-0.00220030122001m)
- update cvs version 20030122

* Sat Jan 4 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.0.1-0.00220021231001m)
- update cvs version 20021231

* Sat Dec 28 2002 HOSONO Hidetomo <h12o@h12o.org>
- (1.6.0.1-0.00220021226001m)
- update cvs version 20021226
- fix tab's changelog entry, Mon Dec 2 2002

* Mon Dec 2 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.0.1-0.00220021129002m)
- add BuildPreReq: xemacs-sumo
- update cvs version 20021129

* Wed Sep 18 2002 smbd <smbd@momonga-linux.org>
- (1.6.0.1-0.0020020906001m)
- update official snapshot

* Tue Aug 15 2002 Toshiuro HIKITA <toshi@sodan.org>
- (1.6.0.1-0.0020020815001m)
- update official snapshot
- use xemacs package for xemacs

* Mon Jul 29 2002 Toshiuro HIKITA <toshi@sodan.org>
- (1.6.0.1-0.0020020727001m)
- update official snapshot
- update version to 1.6.0.1

* Wed Jul 23 2002 smbd <smbd@momonga-linux.org>
- (1.5.2.1-0.0020020723001m)
- update official snapshot

* Mon Jul 12 2002 Toshiuro HIKITA <toshi@sodan.org>
- (1.5.2.1-0.0020020712002k)
- update official snapshot
- update version to 1.5.2.1

* Wed Jul  3 2002 smbd <smbd@momonga-linux.org>
- (1.5.1.1-0.0020020702002k)
- update official snapshot

* Tue May 21 2002 Toshiuro HIKITA <toshi@sodan.org>
- (1.5.1.1-0.0020020520002k)
- update official snapshot
- update xemacs for 21.4.8

* Tue Apr 23 2002 Toshiuro HIKITA <toshi@sodan.org>
- (1.5.1.1-0.0020020419002k)
- update official snapshot

* Mon Apr 08 2002 Toshiuro HIKITA <toshi@sodan.org>
- (1.5.1.1-0.0020020408002k)
- using official snapshot
- including icons

* Mon Apr 08 2002 Toshiuro HIKITA <toshi@sodan.org>
- (1.5.1-4k)
- fix %files

* Mon Mar 11 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (1.5.1-2k)
- welcome to Kondara
